package com.alihealth.d2d.provtest.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Builder;
import lombok.Data;

import javax.persistence.Column;
import java.util.Date;
/**
 * 进口药品基本信息数据子集(ImportedDrugBaseInfo)表实体类
 *
 * @author makejava
 * @since 2025-06-11 17:43:40
 */
@SuppressWarnings("serial")
@Data
@Builder
@TableName("imported_drug_base_info")
public class ImportedDrugBaseInfo {
//主键ID
    @Column(name = "id")
    private Long id;
//事件流水号
    @Column(name = "event_id")
    private String eventId;
//国家药品标识码
    @Column(name = "gjypbsm")
    private String gjypbsm;
//药品英文名称
    @Column(name = "ypywmc")
    private String ypywmc;
//进口药品中文译名
    @Column(name = "jkypzwym")
    private String jkypzwym;
//药品商品名称
    @Column(name = "ypspmc")
    private String ypspmc;
//药品本位码
    @Column(name = "ypbwm")
    private String ypbwm;
//剂型
    @Column(name = "jx")
    private String jx;
//制剂规格
    @Column(name = "zjgg")
    private String zjgg;
//包装规格
    @Column(name = "bzgg")
    private String bzgg;
//包装转换比
    @Column(name = "bzzhb")
    private Double bzzhb;
//包装转换比单位
    @Column(name = "bzzhbdw")
    private String bzzhbdw;
//药品有效期
    @Column(name = "ypyxq")
    private Integer ypyxq;
//药品有效期单位
    @Column(name = "ypyxqdw")
    private String ypyxqdw;
//药品批准文号
    @Column(name = "yppzwh")
    private String yppzwh;
//药品批准文号有效期
    @Column(name = "yppzwhyxq")
    private Date yppzwhyxq;
//进口药品注册证号
    @Column(name = "jkypzczh")
    private String jkypzczh;
//进口药品注册证有效期
    @Column(name = "jkypzczyxq")
    private Date jkypzczyxq;
//进口药品批件号
    @Column(name = "jkyppjh")
    private String jkyppjh;
//进口药品批件有效期
    @Column(name = "jkyppjyxq")
    private Date jkyppjyxq;
//药品注册分类
    @Column(name = "ypzcfl")
    private String ypzcfl;
//国家基本药物标识
    @Column(name = "gjjbywbs")
    private String gjjbywbs;
//特殊药品管理分类
    @Column(name = "tsypglfl")
    private String tsypglfl;
//处方药标识
    @Column(name = "cfybs")
    private String cfybs;
//境外药品上市许可持有人代码
    @Column(name = "jwypssxkcyrdm")
    private String jwypssxkcyrdm;
//境外药品生产企业代码
    @Column(name = "jwypscqydm")
    private String jwypscqydm;
//分包装厂名称
    @Column(name = "fbzcmc")
    private String fbzcmc;
//统一社会信用代码（分包装厂）
    @Column(name = "tyshxydmfbzc")
    private String tyshxydmfbzc;
//分包装厂地址
    @Column(name = "fbzcdz")
    private String fbzcdz;
//进口药品代理企业名称
    @Column(name = "jkypdlqymc")
    private String jkypdlqymc;
//统一社会信用代码(进口药品代理企业)
    @Column(name = "tyshxydmjkypdlqy")
    private String tyshxydmjkypdlqy;
//暂无
    @Column(name = "sczt")
    private String sczt;
//包装规格标识
    @Column(name = "bzggbs")
    private String bzggbs;
//子集：bzbl-包装比例 、bzjb-包装级别 、ypbsm-药品标识码
    @Column(name = "basqxqs")
    private String basqxqs;
//创建时间
    @Column(name = "create_time")
    private Date createTime;
//更新时间
    @Column(name = "update_time")
    private Date updateTime;
//是否删除(0-否 1-是)
    @Column(name = "is_deleted")
    private Integer isDeleted;

}

